liblscp 1.0.0

Data Structures | Functions
thread.c File Reference
`#include "lscp/thread.h"`

## Data Structures
struct | _lscp_thread_t

## Functions
lscp_thread_t * | lscp_thread_create (lscp_thread_proc_t pfnProc, void *pvData, int iDetach)
lscp_status_t | lscp_thread_join (lscp_thread_t *pThread)
lscp_status_t | lscp_thread_cancel (lscp_thread_t *pThread)
lscp_status_t | lscp_thread_destroy (lscp_thread_t *pThread)

## Function Documentation

## ◆ lscp_thread_cancel()

lscp_status_t lscp_thread_cancel | ( | lscp_thread_t * | pThread | ) |

References LSCP_FAILED, LSCP_OK, and _lscp_thread_t::pthread.

Referenced by lscp_thread_destroy().

## ◆ lscp_thread_create()

lscp_thread_t * lscp_thread_create | ( | lscp_thread_proc_t | pfnProc,
|  | void * | pvData,
|  | int | iDetach
| ) |  |

References _lscp_thread_t::iDetach, _lscp_thread_t::pfnProc, and _lscp_thread_t::pvData.

Referenced by lscp_socket_agent_start().

## ◆ lscp_thread_destroy()

lscp_status_t lscp_thread_destroy | ( | lscp_thread_t * | pThread | ) |

References LSCP_OK, lscp_thread_cancel(), and lscp_thread_join().

Referenced by lscp_socket_agent_free(), and lscp_socket_agent_start().

## ◆ lscp_thread_join()

lscp_status_t lscp_thread_join | ( | lscp_thread_t * | pThread | ) |

References LSCP_FAILED, LSCP_OK, and _lscp_thread_t::pthread.

Referenced by lscp_socket_agent_join(), and lscp_thread_destroy().